Issue pre-signed direct-to-storage upload URLs
curl --request POST \
--url https://api.publishbuddy.com/v1/workspaces/{workspace}/media_contents/presign \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"files": [
{
"name": "<string>",
"size": 1073741824,
"mime": "<string>"
}
]
}
'import requests
url = "https://api.publishbuddy.com/v1/workspaces/{workspace}/media_contents/presign"
payload = { "files": [
{
"name": "<string>",
"size": 1073741824,
"mime": "<string>"
}
] }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({files: [{name: '<string>', size: 1073741824, mime: '<string>'}]})
};
fetch('https://api.publishbuddy.com/v1/workspaces/{workspace}/media_contents/presign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"full_name": "<string>",
"link": "<string>",
"upload_url": "<string>",
"upload_headers": "<string>",
"upload_method": "PUT",
"expires_in": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Media library
Issue pre-signed direct-to-storage upload URLs
POST
/
workspaces
/
{workspace}
/
media_contents
/
presign
Issue pre-signed direct-to-storage upload URLs
Headers
JWT token.
Path Parameters
The workspace UUID
Body
application/json
Files to upload (1–10 items per request)
Maximum array length:
10Show child attributes
Show child attributes
Response
Array of PresignedMediaUploadResource
Show child attributes
Show child attributes